2011/01/14

MacUIMでMozc(GoogleIME)を使いたい

では早速まいりましょう。

1.ここからMacUIMをインストールします。
現時点でのバージョンは0.6.10-2でした。

2.".xinitrc"を修正します。
# start some nice programs の下に以下を追加します。
/Library/Frameworks/UIM.framework/Versions/Current/bin/uim-xim &

3.environment.plistを修正します。
/Users/ユーザ名/.MacOSX/environment.plist が無ければ作成します。

で以下を入力します。

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
<key>LANG</key>
<string>ja_JP.UTF-8</string>
<key>GTK_IM_MODULE</key>
<string>uim</string>
<key>XMODIFIERS</key>
<string>@im=uim</string>
</dict>
</plist>

4.システム環境設定でMacUIMの設定パネルから、一般タブ、入力方式をmozc(ja)に設定します。

5.一度ログアウトすると設定が有効になるようです。

6.X11などで日本語の入力を確認します。

2011/01/10

GAE/P proxy server

先日の記事を適用して、Proxy Serverを立ててみました。
よろしければお使いください。
こちらです。

某国のGrateFireWallにフィルターされている方々などお使い頂けるかと。

説明を追加

2011/01/03

wordpressからbloggerへ移行

  1. wordpressでツール->エクスポートで、xmlファイルを作成
  2. xmlファイルをblogger用に変換 
    http://wordpress2blogger.appspot.com/
    blogger-export.xmlというファイルが作成される
  3. bloggerで設定->基本->ブログのインポートでblogger-export.xmlインポート
  4. 写真などは、wordpressでのリンクがそのままなので、修正する

2011/01/02

PyDevでGAEのmemcacheがエラーになる件

俺PROXYで使用しているソースがpythonなので、eclipse on MACに環境を構築して
みた所、題記の現象になったので、調査する。

PyDev+eclipse+GAEの環境で、memcacheを使っている箇所で、以下のエラーになってしまう。


環境設定でPydev -> Interpriter - Python -> Forced Builtins に
google.appengine.api.memcache
を追加することで解決するとの事。

GAEで俺PROXY

基本的にはここを参照でできます。

詳細はこちら